Bug 1256259 - during the logon to system can not automount share folder
during the logon to system can not automount share folder
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam_mount (Show other bugs)
22
athlon Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 04:19 EDT by impuls
Modified: 2015-08-27 07:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-27 07:53:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/pam.d/system-auth-ac and /etc/security/pam_mount.conf.xml (2.65 KB, text/plain)
2015-08-24 04:19 EDT, impuls
no flags Details
/var/log/messages (14.57 KB, text/plain)
2015-08-26 01:56 EDT, impuls
no flags Details

  None (edit)
Description impuls 2015-08-24 04:19:54 EDT
Created attachment 1066251 [details]
/etc/pam.d/system-auth-ac  and /etc/security/pam_mount.conf.xml

Description of problem:
I have the network with domain controller windows 2008 r2 (dс, ip-10.2.13.1). On it there is the share folder \\DC\Documents.
I have some computers with systems RFRemix 15 and RFRemix 20.1 in my network.
When I log on to the computer with the network user a_malkov (for example) is mounting the network folder \\DC\Documents.

I installed new Fedora 22 (KDE Plasma Workspase). I set up the authorization in the domainand automount share folders same as on other computers (RFRemix 15 and RFRemix 20.1). 
At now, when I log on to the Fedora 22 - nothing happens. I'm logged in the system with the network user a_malkov, share folder \\DC\Documents is not automount.
But I can mount share folder in console Fedora 22:
$ su a_malkov

What's the problem?

Steps to Reproduce:
1. install krb5-workstation, samba, samba-winbind and config the authorization in the domainand
2. install hxtools, pam_mount and config it
3. setup share folder on windows computer //host/share

Actual results:
Not mount share folder //host/share!
Comment 1 impuls 2015-08-26 01:56:58 EDT
Created attachment 1067143 [details]
/var/log/messages
Comment 2 impuls 2015-08-27 07:53:16 EDT
Thank you all for your help! 
The problem is solved. 
In the Ferora 22 it is necessary to make a record about pam_mount not /etc/pam.d/system-auth-ac, but in /etc/pam.d/password-auth-ac

auth        required      pam_mount.so
auth        required      pam_env.so
...
session     optional      pam_winbind.so
session     optional      pam_mount.so 

Share folder mounted!

Note You need to log in before you can comment on or make changes to this bug.